%define name    kio_resources
%define version 0.1
%define release %mkrel 1
%define Summary resources protocol for KDE

Summary:        %{Summary}
Name:           %{name}
Version:        %{version}
Release:        %{release}

License: GPL
Group: Graphical desktop/KDE
Source: %name-%version.tar.bz2
URL: http://www.luketopia.net/kio_resources/

BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires: kdelibs-devel

%description
kio_resources provides the resources protocol for KDE. kio_resources allows you to browse all installed files in the standard search paths (generally .kde and /usr). The general format of a kio_resources URL is resources:/resource-type[/relative-path]. Thus, to view all wallpapers installed on your system, both in your home directory and in the KDE installation path, you type resources:/wallpaper. If you simply want to look through all the available resource types, use resources:/.

A nice feature of kio_resources is that it always saves resources to the local directory (under your home). That means that, for instance, new wallpapers can be installed under your home dir by simply copying them into resources:/wallpapers. This makes it unnecessary to be aquainted with the standard paths used by KDE, and it also allows you to edit a system file and save it locally, so that the local copy is the one that is visible to KDE apps.

kio_resources uses the KStandardDirs class, along with its helper functions, locate() and locateLocal(), to do its important work.
Refer to BUGS for known issues and COPYING for terms of use.

%prep
%setup -q -n %name

%build
%define __libtoolize /bin/true
%define __cputoolize /bin/true
%configure --disable-rpath --with-qt-dir=$QTDIR --with-qt-libraries=$QTDIR/%{_lib}
perl -pi -e "s|KDE_INCLUDES\s+=.*|KDE_INCLUDES = -I /usr/include|" src/Makefile
%make

%install
rm -rf %{buildroot}
%makeinstall

%clean
rm -rf %buildroot

%files
%defattr(0755,root,root)
%{_libdir}/kde3/%{name}.so
%{_libdir}/kde3/%{name}.la
%{_datadir}/services/resources.protocol

%changelog
* Wed Jul 17 2005 Benjamin Lisci <benjamin@lisci.de> 0.1-1bli
- First Mandriva release
